Name:          jackrabbit
Version:       1.5.7
Release:       %mkrel 2
Summary:       Apache Jackrabbit JCR Implementation
Group:         Development/Java
License:       ASL 2.0
Url:           http://jackrabbit.apache.org/
Source0:       http://archive.apache.org/dist/jackrabbit/1.5.7/jackrabbit-1.5.7-src.jar
Source1:       jackrabbit-1.5.7-settings.xml
# TODO add jetty deps
Source2:       jackrabbit-1.5.7-depmap

# fix poms version & remove findbugs-maven-plugin 1.1.1 retrotranslator-maven-plugin 1.0-alpha-4
Patch0:        jackrabbit-1.5.7-fix-poms.patch
# disable 
# + jackrabbit-standalone
#  + jetty  6.1.14
#  + jetty-util
#  + jsp-2.1 
#  + servlet-api-2.5
#  + jsp-api-2.1
# + jackrabbit-webapp
#  + maven-jetty-plugin 6.1.9
Patch1:        jackrabbit-1.5.7-no-jetty.patch
# replace ant-optional 1.5.3-1 with ant 1.8.2
Patch2:        jackrabbit-1.5.7-ant-optional.patch

Patch3:        jackrabbit-1.5.7-javacc.patch
# build with pdfbox 0,8,0
Patch4:        jackrabbit-1.5.7-PdfTextExtractor.patch
Patch5:        jackrabbit-1.5.7-no-one-plugin.patch

BuildRequires: apache-commons-parent
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: jakarta-commons-httpclient
BuildRequires: apache-poi
BuildRequires: bouncycastle
BuildRequires: bouncycastle-mail
BuildRequires: cglib21
BuildRequires: concurrent
BuildRequires: backport-util-concurrent
BuildRequires: day-jcr-1.0-api
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-jta-1.0.1B-api
# for  jackrabbit-standalone
#BuildRequires: geronimo-jsp-2.1-api (suggest)
#BuildRequires: jetty6
BuildRequires: lucene2
BuildRequires: pdfbox
BuildRequires: servlet25
BuildRequires: servletapi4
BuildRequires: slf4j
BuildRequires: xerces-j2

BuildRequires: derby
BuildRequires: easymock
BuildRequires: fonts-ttf-liberation
BuildRequires: javacc3
BuildRequires: javacc-maven-plugin
BuildRequires: junit
BuildRequires: maven2
BuildRequires: maven-antrun-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
#BuildRequires: maven-one-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-rar-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-model3
BuildRequires: maven-war-plugin
BuildRequires: modello
BuildRequires: nekohtml
#BuildRequires: velocity14

Requires:      apache-commons-beanutils
Requires:      apache-commons-collections
Requires:      apache-commons-digester
Requires:      apache-commons-io
Requires:      apache-commons-lang
Requires:      apache-poi
Requires:      cglib21
Requires:      concurrent
Requires:      day-jcr-1.0-api
Requires:      geronimo-j2ee-connector-1_5-api
Requires:      geronimo-jta-1.0.1B-api
# jackrabbit-standalone
#Requires:      geronimo-servlet-2.5-api
Requires:      jakarta-commons-httpclient
Requires:      lucene2
Requires:      pdfbox
Requires:      servletapi4
Requires:      slf4j
Requires:      xerces-j2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Apache Jackrabbit is a fully conforming implementation of the
Content Repository for Java Technology API (JCR). A content repository
is a hierarchical content store with support for structured and
unstructured content, full text search, versioning, transactions,
observation, and more. Typical applications that use content
repositories include content management, document management,
and records management systems.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
his package contains manual for %{name}.

%prep
%setup -q

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

for t in LICENSE NOTICE README RELEASE-NOTES; do
  iconv -f iso8859-1 -t utf-8 $t.txt > $t.txt.conv && mv -f $t.txt.conv $t.txt
  sed -i 's/\r//' $t.txt
done

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0

%build

mvn-rpmbuild -e \
  -Dmaven.local.depmap.file=%{SOURCE2} \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate
# TODO site 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 jackrabbit-parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-parent.pom

install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom

# TODO
#  standalone \
#  webapp \
for m in \
  api \
  classloader \
  core \
  jca \
  jcr-benchmark \
  jcr-commons \
  jcr-rmi \
  jcr-server \
  jcr-servlet \
  jcr-tests \
  jcr2spi \
  ocm \
  ocm-nodemanagement \
  spi \
  spi-commons \
  spi2jcr \
  text-extractors \
  webdav \
  ; do
  install -m 644 %{name}-${m}/target/%{name}-${m}-%{version}.jar %{buildroot}%{_javadir}/%{name}/${m}-%{version}.jar
  ( cd %{buildroot}%{_javadir}/%{name} ; ln -sf ${m}-%{version}.jar ${m}.jar )
  install -m 644 %{name}-${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${m}.pom
  %add_maven_depmap JPP.%{name}-${m}.pom %{name}/${m}.jar
done

install -m 644 %{name}-spi/target/%{name}-spi-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}/spi-tests-%{version}.jar
( cd %{buildroot}%{_javadir}/%{name} ; ln -sf spi-tests-%{version}.jar spi-tests.jar )
install -m 644 %{name}-jcr2spi/target/%{name}-jcr2spi-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}/jcr2spi-tests-%{version}.jar
( cd %{buildroot}%{_javadir}/%{name} ; ln -sf jcr2spi-tests-%{version}.jar jcr2spi-tests.jar )

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
# TODO site rm -rf target/site/apidocs

mkdir -p %{buildroot}%{_docdir}/%{name}
cp LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt %{buildroot}%{_docdir}/%{name}
# TODO site cp -pr target/site/* %{buildroot}%{_docdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/api-%{version}.jar
%{_javadir}/%{name}/api.jar
%{_javadir}/%{name}/classloader-%{version}.jar
%{_javadir}/%{name}/classloader.jar
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/jca-%{version}.jar
%{_javadir}/%{name}/jca.jar
%{_javadir}/%{name}/jcr-benchmark-%{version}.jar
%{_javadir}/%{name}/jcr-benchmark.jar
%{_javadir}/%{name}/jcr-commons-%{version}.jar
%{_javadir}/%{name}/jcr-commons.jar
%{_javadir}/%{name}/jcr-rmi-%{version}.jar
%{_javadir}/%{name}/jcr-rmi.jar
%{_javadir}/%{name}/jcr-server-%{version}.jar
%{_javadir}/%{name}/jcr-server.jar
%{_javadir}/%{name}/jcr-servlet-%{version}.jar
%{_javadir}/%{name}/jcr-servlet.jar
%{_javadir}/%{name}/jcr-tests-%{version}.jar
%{_javadir}/%{name}/jcr-tests.jar
%{_javadir}/%{name}/jcr2spi-%{version}.jar
%{_javadir}/%{name}/jcr2spi.jar
%{_javadir}/%{name}/jcr2spi-tests-%{version}.jar
%{_javadir}/%{name}/jcr2spi-tests.jar
%{_javadir}/%{name}/ocm-%{version}.jar
%{_javadir}/%{name}/ocm.jar
%{_javadir}/%{name}/ocm-nodemanagement-%{version}.jar
%{_javadir}/%{name}/ocm-nodemanagement.jar
%{_javadir}/%{name}/spi-%{version}.jar
%{_javadir}/%{name}/spi.jar
%{_javadir}/%{name}/spi-commons-%{version}.jar
%{_javadir}/%{name}/spi-commons.jar
%{_javadir}/%{name}/spi-tests-%{version}.jar
%{_javadir}/%{name}/spi-tests.jar
%{_javadir}/%{name}/spi2jcr-%{version}.jar
%{_javadir}/%{name}/spi2jcr.jar
%{_javadir}/%{name}/text-extractors-%{version}.jar
%{_javadir}/%{name}/text-extractors.jar
%{_javadir}/%{name}/webdav-%{version}.jar
%{_javadir}/%{name}/webdav.jar
%{_mavenpomdir}/JPP*pom
%{_mavendepmapfragdir}/%{name}
%doc %{_docdir}/%{name}/*.txt

%files javadoc
%{_javadocdir}/%{name}

#%files manual
#%doc %{_docdir}/%{name}


%changelog

* Wed Oct 19 2011 dmorgan <dmorgan> 1.5.7-2.mga2
+ Revision: 156494
- Clean spec file

  + gil <gil>
    - rebuilt with maven3 support
    - imported package jackrabbit

